Page MenuHomePhabricator

Complete Saved Pages prototype for testing
Closed, ResolvedPublic

Description

@aripstra @ovasileva I didn't know which tags to use for you, please adjust if needed.

Building off of Finding 20 from the New Readers research, this concept would use service worker to create a progressive web app, allowing readers to save chosen articles in their browser's cache.

We're particularly interested in testing whether a concept like this makes any sense to people - it's a strange idea to have access to browser content when offline.

Personas:

Chris (primary)
Kumari (secondary)
Wayne

Stories:

  • Chris wants to learn height of Mikel, a famous Nigerian footballer.
  • Chris wants to learn about algebraic topology for a school project.
  • Chris wants to share news about a politician with a friend.

User journey:

  1. [Online] Navigate to an article
  2. [Online] Save the article to a "saved" list
  3. [Online] See "saved" list
  4. [Online] Add other desired articles to "saved" list
  5. [Online] Add "saved" list to homescreen
  6. [Offline] access saved articles

Designs

Deployed versions

  1. In progress version of "save page" and offline bar https://autowiki.surge.sh/

Related Objects

Event Timeline

atgo created this task.Oct 17 2016, 7:59 AM
atgo moved this task from Backlog to Doing on the New-Readers board.Oct 17 2016, 9:13 AM
atgo renamed this task from Complete Autowiki prototype for testing to Complete Saved Pages prototype for testing.Nov 15 2016, 11:27 PM

Updating the name to something that makes more sense for now... please forgive if I don't catch all the instances.

Mholloway removed a subscriber: Mholloway.
Jdlrobson closed this task as Resolved.Jun 15 2017, 9:25 PM
Jdlrobson added a subscriber: Jdlrobson.

I'm assuming fixed. Please let me know if not!

Correct, thanks